package com.gic.haoban.manage.api.constants;

/**
 * 描述: 数据组 api
 * http://10.0.1.11:7070/config.html#/appid=data-api-config&env=DEV&cluster=default
 * value: 为访问地址 ++++ token
 * 案例：http://110.42.144.153:81/api/gateway/data_mkt_mvp_activityStatistics++++E488193652356772E42EAE28425914B2
 *
 * @author yujie
 * @date 2021/12/29 16:24
 */
public interface StatisticsApolloKeyConstant {

    String INTERVAL = "\\+\\+\\+\\+";

    /**
     * API 描述：好办活码列表
     */
    String data_haoban_hm_list = "data_haoban_hm_list";
    /**
     * API 描述：活码数据概览
     */
    String data_haoban_hm_overview = "data_haoban_hm_overview";
    /**
     * 活码趋势图（天）
     */
    String data_haoban_hm_trend_d = "data_haoban_hm_trend_d";
    /**
     * 活码趋势图（月）
     */
    String data_haoban_hm_trend_m = "data_haoban_hm_trend_m";

    /**
     * 单人活码明细
     */
    String data_haoban_hm_single_detail = "data_haoban_hm_single_detail";

    /**
     * 多人活码列表
     */
    String data_haoban_hm_many_detail = "data_haoban_hm_many_detail";

    /**
     * 用于链接明细导购数据 企业+链接+导购
     */
    String data_haoban_link_detail = "data_haoban_link_detail";

    /**
     * 用于好办链接概览数据 企业+链接
     */
    String data_haoban_link_overview = "data_haoban_link_overview";

    /**
     * 用于好办链接列表数据    企业+链接
     */
    String data_haoban_link_list = "data_haoban_link_list";

    /**
     * 社群邀请有礼 数据概览
     */
    String data_mkt_group_chat_data_overview = "data_mkt_group_chat_data_overview";

    /**
     * 社群邀请有礼 阶段奖励
     */
    String data_mkt_group_chat_data_reward_level = "data_mkt_group_chat_data_reward_level";

    /**
     * 社群邀请有礼 参与客户明细
     */
    String data_mkt_group_chat_data_inviter_detail = "data_mkt_group_chat_data_inviter_detail";

    /**
     * 社群邀请有礼，小程序端数据
     */
    String DATA_MKT_GROUP_CHAT_DATA_MBR = "data_mkt_group_chat_data_mbr";
}
