package com.gic.haoban.manage.api.service.chat;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.chat.GroupChatActivityHmDTO;
import com.gic.haoban.manage.api.dto.chat.GroupChatHmDTO;
import com.gic.haoban.manage.api.qdto.chat.GroupChatActivityHmQDTO;
import com.gic.haoban.manage.api.qdto.chat.GroupChatActivityShareBindQDTO;

import java.util.List;

/**
 * Created by wangzubo on 2022/10/31.
 */
public interface GroupChatActivityShareApiService {


    /**
     * 绑定分享关系
     * @param shareBind
     */
    ServiceResponse<Void> shareBind(GroupChatActivityShareBindQDTO shareBind);

    /**
     * 获取入群活码列表
     * @param activityHmQDTO
     * @return
     */
    ServiceResponse<List<GroupChatActivityHmDTO>> listGroupChatHm(GroupChatActivityHmQDTO activityHmQDTO);

    /**
     * 社群入群MQ
     * @param param
     * @return
     */
    ServiceResponse<Void> shareGroupChatInviteMQ(String param);
}
