package com.gic.haoban.manage.service.service.chat;

import com.gic.haoban.manage.service.entity.chat.TabGroupChatActivity;
import com.gic.haoban.manage.service.entity.chat.TabGroupChatActivityJoin;

import java.util.List;
import java.util.Map;

/**
 * 社群邀请有礼入群规则表(TabHaobanGroupChatActivityJoin)表服务接口
 *
 * @author makejava
 * @since 2024-09-27 16:09:56
 */
public interface GroupChatActivityJoinService {

    /**
     * 获取活动的入群规则
     * @param chatActivityId
     * @return
     */
    List<TabGroupChatActivityJoin> listByActivityId(Long chatActivityId);

    /**
     * 批量获取活动的入群规则
     * @param chatActivityIdList
     * @return
     */
    Map<Long,List<TabGroupChatActivityJoin>> listByActivityIdList(List<Long> chatActivityIdList);

    /**
     * 保存活动奖励规则
     * @param joinList
     */
    void saveActivityJoin(TabGroupChatActivity activity, List<TabGroupChatActivityJoin> joinList);


}
