package com.gic.haoban.manage.service.service.chat;

import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.api.dto.chat.GroupChatActivityRewardLogDTO;
import com.gic.haoban.manage.api.qdto.chat.GroupChatActivityRewardLogQDTO;

import com.gic.haoban.manage.service.pojo.bo.chat.GroupChatActivityContext;

/**
 * 内容活动完成奖励表(TabHaobanGroupChatActivityRewardLog)表服务接口
 *
 * @author makejava
 * @since 2024-09-27 16:09:57
 */
public interface GroupChatActivityRewardLogService {


    /**
     * 奖励明细
     *
     * @param rewardLogQDTO
     * @return
     */
    Page<GroupChatActivityRewardLogDTO> queryRewardLogDetails(GroupChatActivityRewardLogQDTO rewardLogQDTO);

    /**
     * 处理奖励发放并保存日志
     * @param context
     */
    void dealRewardAndSaveLog(GroupChatActivityContext context);

    /**
     * 查询奖励次数
     *
     * @param rewardLogQDTO
     * @return
     */
    Long queryRewardNum(GroupChatActivityRewardLogQDTO rewardLogQDTO);

}
