package com.gic.haoban.manage.web.qo.wechatwork;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2024/7/23 10:29
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class WechatWorkOverviewTrendQO implements Serializable {
    @JSONField(serialize = false)
    private String storeGroupId;

    /**
     * yyyy-MM-dd
     */
    private String startDate;

    /**
     * yyyy-MM-dd
     */
    private String endDate;

    /**
     * 0或者空：全部 1:上线 2：未上线
     */
    private Integer storeStatusFilter;
}
