package com.gic.haoban.manage.web.utils.data;

import com.alibaba.fastjson.JSONObject;
import com.gic.haoban.manage.web.qo.wechatwork.StoreGroupCommonQO;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2024/7/23 9:36
 */
@Data
@Accessors(chain = true)
public class DataApiQO implements Serializable {
    /**
     * 调用传的参数
     * 和jsonObject和StoreGroupCommonQO参数二选一
     */
    private String searchDataParams;

    /**
     * 数据接口名称
     */
    private String apolloKey;

    private Integer currentPage;
    /**
     * 是否打印日志
     */
    private String logStr;

    private Integer pageSize;

    /**
     * 是否需要强制合计数据
     * 默认是第一页需要合计数据
     */
    private boolean hasCountPerPage;

    /**
     * 是否强制去除合计数据
     */
    private boolean noTotal;

    /**
     * 返回rows对象转化
     */
    private Class clazz;

    /**
     * 数据接口调用的参数
     */
    private JSONObject jsonObject;
    private StoreGroupCommonQO storeGroupCommonQO;
}
