package com.gic.haoban.manage.web.vo.chat;

import java.io.Serializable;

/**
 * @author shangfeng
 * @date 2024-10-10 15:47:12
 */
public class GroupChatActivityRewardDetailVO implements Serializable {

    private static final long serialVersionUID = 5980530705451581421L;

    private Long chatActivityRewardDetailId;

    /**
     * 社群活动奖励id
     */
    private Long chatActivityRewardId;

    /**
     * 社群活动id
     */
    private Long chatActivityId;

    /**
     * 社群活动奖励规则id
     */
    private Long activityRewardId;

    /**
     * 会员ID
     */
    private String memberId;

    /**
     * 奖励类型 1积分2成长值3卡券
     */
    private Integer rewardType;

    /**
     * 奖励内容 积分值 成长值 卡券id
     */
    private String rewardValue;

    /**
     * 奖励名称
     */
    private String rewardName;

    /**
     * 奖励内容备注
     */
    private String rewardRemark;

    /**
     * 奖励关联业务日志id
     */
    private String rewardBusinessId;

    /**
     * 操作奖励是否成功 1是 0否
     */
    private Integer successFlag;

    public Long getChatActivityRewardDetailId() {
        return chatActivityRewardDetailId;
    }

    public void setChatActivityRewardDetailId(Long chatActivityRewardDetailId) {
        this.chatActivityRewardDetailId = chatActivityRewardDetailId;
    }

    public Long getChatActivityRewardId() {
        return chatActivityRewardId;
    }

    public void setChatActivityRewardId(Long chatActivityRewardId) {
        this.chatActivityRewardId = chatActivityRewardId;
    }

    public Long getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(Long chatActivityId) {
        this.chatActivityId = chatActivityId;
    }

    public Long getActivityRewardId() {
        return activityRewardId;
    }

    public void setActivityRewardId(Long activityRewardId) {
        this.activityRewardId = activityRewardId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public Integer getRewardType() {
        return rewardType;
    }

    public void setRewardType(Integer rewardType) {
        this.rewardType = rewardType;
    }

    public String getRewardValue() {
        return rewardValue;
    }

    public void setRewardValue(String rewardValue) {
        this.rewardValue = rewardValue;
    }

    public String getRewardName() {
        return rewardName;
    }

    public void setRewardName(String rewardName) {
        this.rewardName = rewardName;
    }

    public String getRewardRemark() {
        return rewardRemark;
    }

    public void setRewardRemark(String rewardRemark) {
        this.rewardRemark = rewardRemark;
    }

    public String getRewardBusinessId() {
        return rewardBusinessId;
    }

    public void setRewardBusinessId(String rewardBusinessId) {
        this.rewardBusinessId = rewardBusinessId;
    }

    public Integer getSuccessFlag() {
        return successFlag;
    }

    public void setSuccessFlag(Integer successFlag) {
        this.successFlag = successFlag;
    }
}
