package com.gic.haoban.manage.web.vo.eventtracking;

import com.gic.haoban.manage.web.utils.eventtracking.DateExpandUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2024/5/21 15:56
 */
@Data
public class WechatEventTrackingOverviewVO implements Serializable {

    /**
     * 次均访问时长 单位秒
     */
    private Long avgVisitTime;

    /**
     * 次均访问时长较前一期
     */
    private Double avgVisitTimeSply;

    /**
     * 次均访问时长 00:00:00格式
     */
    private String visitTimeStr;

    /**
     * 访问次数
     */
    private Integer visitCnt;

    /**
     * 访问次数较前一期
     */
    private Double visitCntSply;

    /**
     * 人均访问次数
     */
    private Integer avgVisitCnt;

    /**
     * 人均访问次数前一期
     */
    private Double avgVisitCntSply;

    /**
     * 活跃率
     */
    private Double visitRate;

    /**
     * 活跃率较前一期
     */
    private Double visitRateSply;

    /**
     * 活跃人数
     */
    private Integer visitNum;

    /**
     * 活跃人数较前一期
     */
    private Double visitNumSply;

    /**
     * 绑定率
     */
    private Double bindingRate;

    /**
     * 绑定率较前一期
     */
    private Double bindingRateSply;

    /**
     * 绑定人数
     */
    private Integer bindingNum;

    /**
     * 绑定人数较前一期
     */
    private Double bindingSply;

    /**
     * 员工总人数
     */
    private Integer clerkNum;

    public String getVisitTimeStr() {
        return DateExpandUtils.getVisitTimeStr(avgVisitTime);
    }
}
