package com.gic.haoban.manage.web.qo.data;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2024/4/29 15:27
 */
@Data
public class CommonQO implements Serializable {

    /**
     * 门店查询参数. 区经可以为空，查询所有管辖门店
     */
    private String storeId;

    /**
     * 企业ID.
     */
    private String enterpriseId;

    /**
     * 微信企业
     */
    private String wxEnterpriseId;

    /**
     * 如果是区经，用于查询管辖门店权限
     */
    private String clerkId;
}
