package com.gic.haoban.manage.web.qo.data;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2024/4/30 10:29
 */
@Data
public class StoreMemberApiQO implements Serializable {
    private Integer pageNum;

    /**
     * 如果是导购，需要传，店长不传
     */
    private String clerkId;

    private Integer pageSize;
    private String storeId;

    /**
     * 1会员总数开卡导购 2会员总数服务导购 3新增开卡会员数
     */
    private Integer orderByFields;

    /**
     * 排序类型 1 升序 2 降序
     */
    private Integer orderByType;

    /**
     * 业务日期开始时间
     */
    private String startDate;

    /**
     * 业务日期结束时间
     */
    private String endDate;

    /**
     * 聚合维度 8 合计 9 导购维度
     */
    private Integer groupType;
}
