package com.gic.haoban.manage.web.qo.data;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2024/4/29 15:29
 */
@Data
public class StoreSalesApiQO implements Serializable {
    private String storeId;

    /**
     * 渠道类型
     */
    private String orderChannel;

    /**
     * 是否会员 1是 0否 2 会员加非会员
     */
    private Integer isMbr;

    /**
     * 1 企业维度（全渠道）  2 渠道维度  3 渠道单周期维度（用于趋势图） 4 企业单周期维度（用于趋势图）
     */
    private Integer storeGroup;

    /**
     * 业务日期开始时间
     */
    private String startDate;

    /**
     * 时间
     */
    private String bizDate;

    /**
     * 业务日期结束时间
     */
    private String endDate;

    /**
     * 自定义类型才有：业务日期相差天数
     */
    private Integer days;
}
