package com.gic.haoban.manage.web.qo.data;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2024/4/29 15:29
 */
@Data
public class StoreSalesGroupApiQO implements Serializable {
    private Integer pageNum;

    /**
     * 如果是导购，需要传，店长不传
     */
    private String clerkId;

    private Integer pageSize;
    private String storeId;

    /**
     * 渠道类型
     */
    private String orderChannel;
    /**
     * 1 企业维度（全渠道）  2 渠道维度  3 渠道单周期维度（用于趋势图） 4 企业单周期维度（用于趋势图）
     */
    private Integer storeGroup;

    /**
     * 业务日期开始时间
     */
    private String startDate;

    /**
     * 业务日期结束时间
     */
    private String endDate;

    /**
     * 业务日期
     */
    private String bizDate;

    /**
     * 排序类型 1正序 2到序
     */
    private Integer orderByType;

    /**
     * 排序字段序号
     */
    private Integer orderByFields;

    /**
     * 时间类型  1:日 2: 周 3:月 4:自定义 5:年
     */
    private Integer dateType;
}
