package com.gic.haoban.manage.web.vo.canvas;

import lombok.Data;

import java.io.Serializable;

@Data
public class CanvasStoreTaskVO implements Serializable {

    /**
     * 完成任务数
     */
   private Integer complTaskCnt;


    /**
     * 待完成任务数
     */
    private Integer untreatedTaskCnt;

    /**
     * 逾期中任务数
     */
    private Integer overdueTaskCnt;


    /**
     * 逾期失效任务数
     */
    private Integer overdueInvalidTaskCnt;


    /**
     * 总任务数
     */
    private Integer assignedTaskCnt;


    /**
     * 任务完成率
     */
    private Double taskComplRate;


    /**
     * 放弃任务数
     */
    private Integer abandonTaskCnt;


    /**
     * 导购名称
     */
    private String clerkName;

    private String clerkId;

  /**
   * 导购头像
   */
   private String clerkImageUrl;


    /**
     * 画布活动名称
     */
    private String canvasName;

    /**
     * 活动ID
     */
    private String canvasId;

    /**
     * 排序值
     */
    private Integer rn;
}
