package com.gic.haoban.manage.web.vo.canvas;

import lombok.Data;

import java.io.Serializable;

@Data
public class CanvasTaskVO implements Serializable {

    /**
     * 完成任务数
     */
   private Integer complTaskCnt;


    /**
     * 待完成任务数
     */
    private Integer untreatedTaskCnt;

    /**
     * 逾期中任务数
     */
    private Integer overdueTaskCnt;


    /**
     * 逾期失效任务数
     */
    private Integer overdueInvalidTaskCnt;


    /**
     * 总任务数
     */
    private Integer assignedTaskCnt;


    /**
     * 任务完成率
     */
    private Double taskComplRate;


    /**
     *
     */
    private String storeId;


    /**
     * 放弃任务数
     */
    private Integer abandonTaskCnt;


    /**
     * 门店名称
     */
    private String storeName;


    /**
     * 画布活动名称
     */
    private String canvasName;

    /**
     * 活动ID
     */
    private String canvasId;
}
