package com.gic.haoban.manage.web.vo.data;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2024/6/26 13:36
 */
@Data
public class ClerkUseDetailVO implements Serializable {
    /**
     * 1人找货次数
     */
    private Long perToProCnt;

    /**
     * 2货找人次数
     */
    private Long proToPerCnt;

    /**
     * 3使用天数
     */
    private Long useDay;

    /**
     * 4推荐商品数量
     */
    private Long shareProCnt;

    /**
     * 5触达客户数
     */
    private Long touchNum;

    /**
     * 6商城转化客户数
     */
    private Long onlineConvsNum;

    /**
     * 7商城转化金额
     */
    private Double onlineConvsPayAmt;

    /**
     * 8线下转化客户数
     */
    private Long offlineConvsNum;

    /**
     * 9线下转化金额
     */
    private Double offlineConvsPayAmt;

    /**
     * 10商城转化商品数
     */
    private Long onlineConvsProCnt;

    /**
     * 11线下转化商品数
     */
    private Long offlineConvsProCnt;

    /**
     * 12转化金额
     */
    private Double convsPayAmt;

    /**
     * 13转化客户数
     */
    private Long convsNum;

    /**
     * 14转化商品数
     */
    private Long convsProCnt;

    /**
     * 15点击客户数
     */
    private Double clickNum;

    /**
     *
     */
    private String clerkCode;

    private String clerkName;

    private String storeName;

    private String storeCode;
}
