package com.gic.haoban.manage.api.service.contact;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.contact.ContactLogDTO;
import com.gic.haoban.manage.api.qdto.contact.ContactLogQDTO;

public interface ContactLogApiService {

    /**
     * 获取最近一条有效建联记录
     * @param memberId
     * @return
     */
    ServiceResponse<ContactLogDTO> getClerkContactTime(String memberId);

    /**
     * 保存建联记录
     * @param qdto
     * @return
     */
    ServiceResponse<Void> saveContactLog(ContactLogQDTO qdto);

}
