package com.gic.haoban.manage.api.service.contact;

import com.gic.api.base.commons.BasePageInfo;
import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.dto.contact.ContactOrderDetailDTO;
import com.gic.haoban.manage.api.qdto.contact.ContactOrderQDTO;
import com.gic.haoban.manage.api.qdto.contact.ContactOrderSearchQDTO;

public interface ContactOrderApiService {

    /**
     * 保存建联转化订单
     * @param contactOrderQDTO
     */
    ServiceResponse<Void> saveContactOrder(ContactOrderQDTO contactOrderQDTO);

    /**
     * 分页查询订单转化
     * @param enterpriseId
     * @param searchQDTO
     * @param pageInfo
     * @return
     */
    ServiceResponse<Page<ContactOrderDetailDTO>> pageContactOrder(String enterpriseId, ContactOrderSearchQDTO searchQDTO, BasePageInfo pageInfo);

}
