package com.gic.haoban.manage.service.dao.mapper.chat;

import com.gic.haoban.manage.api.qdto.chat.GroupChatActivityRewardDetailLogQDTO;
import com.gic.haoban.manage.service.entity.chat.TabGroupChatActivityRewardDetailLog;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

/**
 * 社群活动完成奖励明细表(TabHaobanGroupChatActivityRewardDetailLog)表数据库访问层
 *
 * @author makejava
 * @since 2024-09-27 16:09:57
 */
public interface GroupChatActivityRewardDetailLogMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param chatActivityRewardDetailId 主键
     * @return 实例对象
     */
    TabGroupChatActivityRewardDetailLog queryById(Long chatActivityRewardDetailId);

    /**
     * 查询指定行数据
     *
     * @param tabGroupChatActivityRewardDetailLog 查询条件
     * @param pageable                                  分页对象
     * @return 对象列表
     */
    List<TabGroupChatActivityRewardDetailLog> queryAllByLimit(TabGroupChatActivityRewardDetailLog tabGroupChatActivityRewardDetailLog, @Param("pageable") Pageable pageable);

    /**
     * 统计总行数
     *
     * @param tabGroupChatActivityRewardDetailLog 查询条件
     * @return 总行数
     */
    long count(TabGroupChatActivityRewardDetailLog tabGroupChatActivityRewardDetailLog);

    /**
     * 新增数据
     *
     * @param tabGroupChatActivityRewardDetailLog 实例对象
     * @return 影响行数
     */
    int insert(TabGroupChatActivityRewardDetailLog tabGroupChatActivityRewardDetailLog);

    /**
     * 修改数据
     *
     * @param tabGroupChatActivityRewardDetailLog 实例对象
     * @return 影响行数
     */
    int update(TabGroupChatActivityRewardDetailLog tabGroupChatActivityRewardDetailLog);

    /**
     * 批量查询奖励明细
     *
     * @param rewardDetailLogQDTO
     * @return
     */
    List<TabGroupChatActivityRewardDetailLog> queryList(GroupChatActivityRewardDetailLogQDTO rewardDetailLogQDTO);
}

