package com.gic.haoban.manage.web.vo.eventtracking;

import com.gic.haoban.manage.web.vo.wechatwork.StoreGroupCommonVO;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2024/5/21 15:56
 */
@Data
public class WechatEventTrackingStoreGroupVO extends StoreGroupCommonVO implements Serializable {

    /**
     * 1员工总人数
     */
    private Integer clerkNum;

    /**
     * 2绑定人数
     */
    private Integer bindingNum;

    /**
     * 3绑定率
     */
    private Double bindingRate;

    /**
     * 4活跃人数
     */
    private Integer visitNum;

    /**
     * 5活跃率
     */
    private Double visitRate;

    /**
     * 6访问次数
     */
    private Integer visitCnt;
}
