package com.gic.haoban.manage.web.qo.canvas;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.gic.commons.web.qo.PageQo;
import lombok.Data;

import java.io.Serializable;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class CanvasStoreTaskQO extends PageQo implements Serializable {

    /**
     * 1 升序 2降序
     */
    private Integer orderByType;

    /**
     * 1完成任务数2待完成任务数3逾期任务数4逾期失效任务数5总任务数6任务完成率
     */
    private String orderByFields;
    /**
     * 开始时间 yyyy-MM-dd
     */
    private String startDate;

    private String endDate;

    /**
     * 导购筛选
     */
    private String clerkQuery;

    /**
     * 画布活动筛选
     */
    private String canvasQuery;

    /**
     * 活动ID
     */
    private String canvasId;

    /**
     * 门店ID
     */
    private String storeId;

    /**
     * 不传则查询整个门店
     */
    private String clerkId;

    /**
     * 2导购3活动 4:门店合计
     */
    private Integer dataType;

    /**
     * 企业ID.
     */
    private String enterpriseId;


    public Integer getDataType() {
        return dataType == null ? 2 : dataType;
    }
}
