package com.gic.haoban.manage.web.qo.data;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2023/11/23 9:13
 */
@Data
public class HandleQO extends CommonQO implements Serializable {

    /**
     * 组装的参数，JSON字符串.数据组提供的yapi文档上有.
     * 注:门店参数storeId根据storeSelect参数计算
     */
    private String params;

    /**
     * 数据组配置的接口key。数据组提供的yapi文档上有
     */
    private String apolloKey;
}
