package com.gic.haoban.manage.web.qo.data;

import lombok.Data;

import java.io.Serializable;

/**
 * @Author guojx
 * @Date 2024/4/30 10:29
 */
@Data
public class StoreClerkRealTimeMemberApiQO implements Serializable {
    private Integer pageNum;

    /**
     * 如果是导购，需要传，店长不传
     */
    private String clerkId;

    private Integer pageSize;
    private String storeId;

    /**
     * 渠道类型
     */
    private String channelCode;

    /**
     * 聚合类型:9 导购维度聚合 10 导购+渠道维度聚合
     */
    private Integer groupType;


    /**
     * 排序字段：1 新增开卡会员 2 新增开卡会员（昨日）
     */
    private Integer orderByFields;

    /**
     * 排序类型 1 升序 2 降序
     */
    private Integer orderByType;

}
