package com.gic.haoban.manage.web.vo.clerktask;

import com.fasterxml.jackson.annotation.JsonFormat;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

public class TaskPlanDetailVO implements Serializable {

    /**id*/
    @JsonFormat(shape = JsonFormat.Shape.STRING)
    private Long planId;
    /**名称*/
    private String title;
    /**开始日期*/
    private Date beginDate;
    /**结束日期*/
    private Date endDate;
    /**图片*/
    private String img;
    /**说明*/
    private String remark;
    /**企业id*/
    private String enterpriseId;
    /**创建时间*/
    private Date createTime;
    // 1未开始  2进行中  3已结束  4已过期
    private int status ;
    /**1开放 2指定任务*/
    private int taskMode;
    /**1召回 2企微 3内容*/
    private int taskType;
    /**召回渠道列表*/
    private String orderChannels;
    /**1添加 2添加并认证*/
    private int qwRule;
    /**添加非会员开关1是0否*/
    private int qwNotMemberFlag;
    /** 1定额 2阶梯 3排名 */
    private Integer awardMode ;
    /**
     * 渠道名称
     */
    private String orderChannelNames ;

    /**
     * 导购完成/奖品信息
     */
    private ClerkAwardInfoVO clerkAwardInfo ;
    /**
     * 内容配置
     */
    private TaskPlanDetailContentVO content ;

    /**
     * 奖励列表
     */
    private List<TaskPlanDetailAwardVO> awardList ;

    public String getOrderChannelNames() {
        return orderChannelNames;
    }

    public void setOrderChannelNames(String orderChannelNames) {
        this.orderChannelNames = orderChannelNames;
    }

    public Long getPlanId() {
        return planId;
    }

    public void setPlanId(Long planId) {
        this.planId = planId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Date getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(Date beginDate) {
        this.beginDate = beginDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public int getTaskMode() {
        return taskMode;
    }

    public void setTaskMode(int taskMode) {
        this.taskMode = taskMode;
    }

    public int getTaskType() {
        return taskType;
    }

    public void setTaskType(int taskType) {
        this.taskType = taskType;
    }

    public Integer getAwardMode() {
        return awardMode;
    }

    public void setAwardMode(Integer awardMode) {
        this.awardMode = awardMode;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getOrderChannels() {
        return orderChannels;
    }

    public void setOrderChannels(String orderChannels) {
        this.orderChannels = orderChannels;
    }

    public int getQwRule() {
        return qwRule;
    }

    public void setQwRule(int qwRule) {
        this.qwRule = qwRule;
    }

    public int getQwNotMemberFlag() {
        return qwNotMemberFlag;
    }

    public void setQwNotMemberFlag(int qwNotMemberFlag) {
        this.qwNotMemberFlag = qwNotMemberFlag;
    }

    public void setContent(TaskPlanDetailContentVO content) {
        this.content = content;
    }

    public void setAwardList(List<TaskPlanDetailAwardVO> awardList) {
        this.awardList = awardList;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public ClerkAwardInfoVO getClerkAwardInfo() {
        return clerkAwardInfo;
    }

    public void setClerkAwardInfo(ClerkAwardInfoVO clerkAwardInfo) {
        this.clerkAwardInfo = clerkAwardInfo;
    }

    public TaskPlanDetailContentVO getContent() {
        return content;
    }

    public List<TaskPlanDetailAwardVO> getAwardList() {
        return awardList;
    }
}
